package com.xinelu.manage.service.residentinfo;

import com.xinelu.manage.domain.residentinfo.ResidentInfo;
import java.util.List;

/**
 * 居民信息Service接口
 *
 * @author haown
 * @date 2024-03-27
 */
public interface IResidentInfoService {
    /**
     * 查询居民信息
     *
     * @param id 居民信息主键
     * @return 居民信息
     */
    public ResidentInfo selectResidentInfoById(Long id);

    /**
     * 查询居民信息列表
     *
     * @param residentInfo 居民信息
     * @return 居民信息集合
     */
    List<ResidentInfo> selectResidentInfoList(ResidentInfo residentInfo);

    /**
     * 新增居民信息
     *
     * @param residentInfo 居民信息
     * @return 结果
     */
    int insertResidentInfo(ResidentInfo residentInfo);

    /**
     * 修改居民信息
     *
     * @param residentInfo 居民信息
     * @return 结果
     */
    int updateResidentInfo(ResidentInfo residentInfo);

    /**
     * 批量删除居民信息
     *
     * @param ids 需要删除的居民信息主键集合
     * @return 结果
     */
    int deleteResidentInfoByIds(Long[] ids);

    /**
     * 删除居民信息信息
     *
     * @param id 居民信息主键
     * @return 结果
     */
    int deleteResidentInfoById(Long id);
}
